Bug 443615 - git-send-email --smtp-ssl doesn't work
git-send-email --smtp-ssl doesn't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 11:25 EDT by Rui Matos
Modified: 2013-01-10 05:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2008-04-22 11:25:57 EDT
Trying to run git-send-email with optino --smtp-ssl I get the error:

Can't locate Net/SMTP/SSL.pm in @INC (@INC contains:
/usr/lib/perl5/site_perl/5.8.8
/usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6
/usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at /usr/bin/git-send-email line 637.
Comment 1 Todd Zullinger 2008-08-28 00:44:34 EDT
It seems that the Net::SMTP::SSL module[1] isn't packaged for Fedora.  And rpm doesn't flag this as a requirement of the git-email package, I believe due to the fact that the "require Net::SMTP::SSL" is conditionalized in git-send-email.perl.

[1] http://search.cpan.org/~cwest/Net-SMTP-SSL-1.01/ (This module is from 2004.)
Comment 2 Josh Boyer 2008-10-14 09:06:53 EDT
(In reply to comment #1)
> It seems that the Net::SMTP::SSL module[1] isn't packaged for Fedora.  And rpm
> doesn't flag this as a requirement of the git-email package, I believe due to
> the fact that the "require Net::SMTP::SSL" is conditionalized in
> git-send-email.perl.
> 
> [1] http://search.cpan.org/~cwest/Net-SMTP-SSL-1.01/ (This module is from
> 2004.)

Yes, this does seem to be the case (even in devel).  There are really only two options here.

1) Package and bring Net::SMTP::SSL in for Fedora
2) Stop building the git-email subpackage
Comment 3 Todd Zullinger 2008-10-14 17:07:17 EDT
I think option 2 would be worse than the current situation.  Right now, only folks that use the --smtp-ssl option even notice the bug.  I'd sooner patch out that option if no one wants to package Net::SMTP::SSL.

That said, I have packaged the module and have tested it on F9.  I have not submitted it for review yet though.  I was debating whether I should try and con^Wask someone on the perl SIG to take care of the package instead, as I doubt I'd be the caring maintainer the package deserves.  Although, looking at how long it has been since Net::SMTP::SSL has seen a release, perhaps maintaining it wouldn't be much effort...

Anyway, the spec and srpm are here, if anyone wants to beat me to submitting it:

    http://tmz.fedorapeople.org/packages/perl-Net-SMTP-SSL.spec
    http://tmz.fedorapeople.org/packages/perl-Net-SMTP-SSL-1.01-1.fc9.src.rpm

If you think patching out the ssl support is better in the interim, say so and I'll work on a patch to do that.
Comment 4 Todd Zullinger 2008-10-20 22:36:23 EDT
Luckily, someone did beat me to it.  perl-Net-SMTP-SSL was approved last week.  See bug #462818.

We should probably add it as a dep for the git-email package.
Comment 5 Josh Boyer 2008-10-22 08:34:11 EDT
I fixed it in rawhide (git-1.6.0.3-1).  The perl package isn't in F-9 or F-8 updates yet, so I can't fix it there until those show up.
Comment 6 Dan Nicholson 2008-10-22 15:18:19 EDT
I hadn't seen this bug when I started packaging perl-Net-SMTP-SSL for bug #462818, but this was the motivation. It's currently in testing for F-9. If anyone wants to try the package, they can be found here:

http://kojipkgs.fedoraproject.org/packages/perl-Net-SMTP-SSL/

I didn't request an F-8 branch since I thought the F-10 branching had already occurred and there would be no more new packages for F-8. If you'd like, I can request a CVS branch for F-8 and make a build. I don't have F-8 to test, though.
Comment 7 Bug Zapper 2008-11-26 05:32:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dan Nicholson 2008-12-16 20:24:49 EST
perl-Net-SMTP-SSL is in F9, F10 and rawhide now. Feel free to pull it in for git-email.

https://admin.fedoraproject.org/pkgdb/packages/name/perl-Net-SMTP-SSL
Comment 9 Todd Zullinger 2008-12-16 21:09:49 EST
Thanks for getting perl-Net-SMTP-SSL into Fedora Dan!  F-10 and rawhide already have the requirement.

I'm not sure if adding it to F-9 warrants an update or not.  Ideally, we'd just wait until the next maintenance release, but I don't know if the git-1.5.6 branch will seen any more releases.

Git owners, are there objections to pushing a 1.5.6.5-2.fc9 update to add this requirement?
Comment 10 Fedora Update System 2008-12-20 13:18:20 EST
git-1.5.6.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/git-1.5.6.6-1.fc9
Comment 11 Fedora Update System 2008-12-21 18:39:34 EST
git-1.5.6.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.